# datasheet for dipsw_pio

dipsw_pio |

2026.05.11.21:03:51 | Datasheet

Overview

All Components
altera_avalon_pio_inst altera_avalon_pio 19.2.4
Memory Map

altera_avalon_pio_inst
s1

## altera_avalon_pio_inst

altera_avalon_pio v19.2.4

## Parameters

bitClearingEdgeCapReg | true
bitModifyingOutReg | false
captureEdge | true
direction | Input
edgeType | FALLING
generateIRQ | true
irqType | EDGE
resetValue | 0
simDoTestBenchWiring | false
simDrivenValue | 0
width | 4
deviceFamily | UNKNOWN
generateLegacySim | false

## Software Assignments

BIT_CLEARING_EDGE_REGISTER | 1
BIT_MODIFYING_OUTPUT_REGISTER | 0
CAPTURE | 1
DATA_WIDTH | 4
DO_TEST_BENCH_WIRING | 0
DRIVEN_SIM_VALUE | 0
EDGE_TYPE | FALLING
FREQ | 100000000
HAS_IN | 1
HAS_OUT | 0
HAS_TRI | 0
IRQ_TYPE | EDGE
RESET_VALUE | 0

generation took 0.00 seconds | rendering took 0.01 seconds